--- cameleon-1.9.21.orig/src/editor/ed_main.ml	2011-01-13 10:57:39.000000000 +0100
+++ cameleon-1.9.21/src/editor/ed_main.ml	2011-05-03 21:32:06.000000000 +0200
@@ -75,7 +75,7 @@
      in
      Cam_hooks.warning_message (Ed_misc.to_utf8 m);
     );
-  GtkThread.set_do_jobs_delay 0.02;
+  (*GtkThread.set_do_jobs_delay 0.02;*)
   GtkThread.main ();
   Ed_view.iter_factories
     (fun f -> Ed_misc.catch_print_exceptions (fun () -> f#on_exit) ());
--- cameleon-1.9.21.orig/utils/checkocaml.ml	2011-01-13 10:57:39.000000000 +0100
+++ cameleon-1.9.21/utils/checkocaml.ml	2011-05-08 23:08:02.000000000 +0200
@@ -964,10 +964,10 @@
     prerr_endline msg; exit 1
 
 let _ = !print "\n### checking required tools and libraries ###\n"
-let _ =
+let xml_light_incs =
   match detect_xml_light ~modes conf with
-    [], [] -> !fatal_error "Could not link with Xml-light"
-  | l, _ -> add_subst "XMLLIGHT_INCLUDES" (string_of_includes l)
+    [], [] -> !fatal_error "Could not link with Xml-light"; assert false
+  | l, _ -> add_subst "XMLLIGHT_INCLUDES" (string_of_includes l); l
 
 let pcre_includes =
   match detect_pcre ~modes conf with
@@ -1025,7 +1025,7 @@
 
 let _ =
   let (incs,b) =
-    match detect_lablgtkextras ~modes lablgtk_incs conf with
+    match detect_lablgtkextras ~modes (lablgtk_incs @ xml_light_incs) conf with
       [], [] -> !fatal_error "Could not link with LablGtk-extras"; assert false
     | l, _ -> (string_of_includes l,true)
   in
